#!/bin/sh
# Copyright 2018 Gigaset Communications GmbH

### BEGIN INIT INFO
# Provides:          develop.lck
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Creates lock file if booted to developer mode.
# Description:
### END INIT INFO

source /etc/init.d/init-functions

SILENT_MODE=`cat /proc/cmdline | sed -e 's/.*\(s=[01]\).*/\1/;tx;d;:x'`

if [ "$SILENT_MODE" == "s=0" ] ; then
	touch /var/lock/develop.lck
	log_success_msg "Developer mode ON"
else
	log_success_msg "Release mode ON"
fi
