#!/bin/sh

### BEGIN INIT INFO
# Provides:          phoneui_daemon
# Required-Start:    $syslog property_service_daemon
# Required-Stop:     $syslog property_service_daemon
# Default-Start:     5
# Default-Stop:      0 1 2 3 4 6 7
# Short-Description: Launches Phone UI application
# Description:
### END INIT INFO

source /etc/init.d/init-functions

board=$(cut -d" " -f1,2 < /etc/model)
color_theme=""
test "${board}" == "Maxwell 2" && color_theme="-rendergrayscale"

NAME=maxwell-phoneui
DAEMON=/usr/bin/DisplayGuiApp
WORKING_DIR=/var/run/
PIDFILE=${WORKING_DIR}/phoneui.pid
DAEMON_ARGS=" -qws -nomouse ${color_theme}"
USER=maxwell
GROUP=maxwell

source /etc/init.d/maxwell-init-functions
