#!/bin/sh
# Copyright 2018 Gigaset Communications GmbH

source /usr/sbin/maxwell-log-functions

supervisor_timeout=10

case "$1" in
	start)
		/usr/sbin/system-statistics startup
		/usr/sbin/system-statistics working-counter
		;;
	stop)
		/usr/sbin/system-statistics reboot
		;;
	status)
		/usr/sbin/system-statistics status
		exit $?
		;;
	*)
		log_info "Usage is: $0 {start|stop}" >&2
		exit 1
		;;
esac

exit 0
