<?php

/**
 * Created by PhpStorm.
 * User: maciej
 * Date: 09.11.17
 * Time: 13:07
 */

class converter
{
    public static function convert($_file, $_password = null, $_certconvert = 0) {
        $result = false;

        switch ($_certconvert) {
            case 0:
                $result = self::convertToPEM($_file, $_password);
                break;
            case 1:
                break;
        }

        return $result;
    }

    private static function convertToPEM($_file, $_password) {
        $cert = false;

        if (self::isPemFile($_file, $_password)) {
            $cert = true;
        } elseif (self::isDerCert($_file)) {
            $cert = self::derToPem($_file);
        } else {
            $filemanager = new filemanager();
            $filemanager->deleteFile($_file);
        }
         return $cert;
    }

    private static function derToPem($_file) {
        $content = base64_encode(file_get_contents($_file));
        $pemCert = sprintf(
            '-----BEGIN CERTIFICATE-----%s-----END CERTIFICATE-----', PHP_EOL . wordwrap($content, 64, "\n", true) . PHP_EOL
        );

        file_put_contents($_file, $pemCert);

        return true;
    }


    public static function isDerCert($_file) {
        $content = file_get_contents($_file);
        $begin = "CERTIFICATE-----";

        return (strpos($content, $begin) == false) ? true : false;
    }

    public static function isPemFile($_file, $_passphrase = null)
    {
        $result = true;

        try {
            $content = file_get_contents($_file);

            $result = openssl_x509_read($content);

            $result |= openssl_pkey_get_private($content, $_passphrase);
        } catch (Exception $ex) {
            $result = false;
        }
        return $result;
    }

    public static function isKeyFile($_file, $_passphrase = null){
        $result = true;

        try {
            $content = file_get_contents($_file);

            $result = (openssl_pkey_get_private($content, $_passphrase)!= false) ? true: false;
        } catch (Exception $ex) {
            $result = false;
        }
        return $result;

    }
}
