<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Upload
 *
 * @author Maciek
 */
class upload
{
    private $file;
    private $serverurl;
    private $destinationmaxwell;

    public function upload($_files)
    {
        $this->file = $_files;
    }

    private function uploadFile()
    {
        try
        {
            if (is_uploaded_file($this->file['file']['tmp_name']))
            {
                if (move_uploaded_file($this->file['file']['tmp_name'], $this->destinationmaxwell . DIRECTORY_SEPARATOR . $this->file['file']['name']))
                {
                    logger::logSyslogMessage(LOG_INFO, 'File ' . $this->file['file']['name'] . ' uploaded to ' . $this->destinationmaxwell);
                    return $this->CheckFileIsCopied();
                } else
                {
                    logger::logSyslogMessage(LOG_ERR, 'Failed uploading file ' . $this->file['file']['name'] . ' to ' . $this->destinationmaxwell);
                    return false;
                }
            }
        } catch (Exception $ex)
        {
            $exc = new errorexceptionhandler();
            $exc->getException($ex);
            logger::logSyslogMessage(LOG_ERR, $ex);
            return false;
        }
    }

    public function uploadFirmwareUpdate($_destination, &$_filename)
    {
        $this->destinationmaxwell = $_destination;
        $_filename = $this->file['file']['name'];
        return $this->uploadFile();
    }

    public function prepareUploadFile($_filters = array(), $_destination = array(), &$_filename)
    {
        $result = FILEERR;
        $resultArray = array();
        if (! empty($_filters))
        {
            $resfilter = $this->useFilters($_filters);

            if ($resfilter != FILEOK)
            {
                return $resfilter;
            }
        }

        if (! empty($_destination))
        {
            $result = array();
            if (count($_destination) == 2)
            {
                $this->serverurl = $_destination['serverurl'];
                $this->destinationmaxwell = $_destination['maxwell'];

                $resultArray[] = $this->uploadOnMaxwell();
                $resultArray[] = $this->uploadOnServer();
            } else
            {
                if (isset($_destination['maxwell']))
                {
                    $this->destinationmaxwell = $_destination['maxwell'];
                    if ($this->uploadOnMaxwell() == true)
                    {
                        $result = FILEOK;
                    }
                } else if (isset($_destination['serverurl']))
                {
                    $this->serverurl = $_destination['serverurl'];
                    if ($this->uploadOnServer() == true)
                    {
                        $result = FILEOK;
                    }
                }
            }

            if (! empty($resultArray) && ! in_array(false, $resultArray))
            {
                $result = FILEOK;
            }
        }
        $_filename = $this->file['file']['name'];
        return $result;
    }

    private function useFilters($_filters = array())
    {
        $filters = new Filters();
        return $filters->useFilters($this->file, $_filters);
    }

    private function uploadOnServer()
    {}

    private function uploadOnMaxwell()
    {
        $result = false;
        if ($this->uploadFile() == true)
        {
            $result = true;
        }
        return $result;
    }

    private function CheckFileIsCopied()
    {
        $result = false;
        if (file_exists($this->destinationmaxwell . DIRECTORY_SEPARATOR . $this->file['file']['name']))
        {
            $result = true;
        }
        return $result;
    }
}
