<?php

/**
 * Created by PhpStorm.
 * User: maciej
 * Date: 09.11.17
 * Time: 13:09
 */

class validation
{
    public static function checkExpired($_file) {
        $infoarr = utils::getValidTo($_file);

        if ($infoarr === -1) {
            return true;
        }

        $date = new DateTime();
        $timestamp = $date->getTimestamp();
        return $infoarr >= $timestamp;
    }

    public static function verifyCertKey($_certname, $_keyname, $_pass = null) {
        $result = true;

        if ($_pass) {
            $result = utils::removePasswordFromKey($_keyname, $_pass);
        }

        $certContent = file_get_contents($_certname);
        $keyContent = openssl_pkey_get_private('file:///' . $_keyname);

        $result &= openssl_x509_check_private_key($certContent, $keyContent);

        if ($_pass && $result) {
            $result &= utils::addPasswordToKey($_keyname, $_pass);
        }

        return $result;
    }

    public static function checkUploadedPrivateKey($_file, $_passphrase = null) {
        $key = file_get_contents($_file);
        $result = openssl_pkey_get_private($key, $_passphrase);

        if (!$result) {
            $filemanager = new filemanager();
            $filemanager->deleteFile($_file);
        }

        return $result;
    }
}
