#!/bin/sh

### BEGIN INIT INFO
# Provides:          maxwell_splashscreen
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:      0 1 6 7
# Short-Description: Starts Maxwell 23B Splash Screen application
# Description:
### END INIT INFO

echo 10 > /sys/devices/lnk/backlight/brightness

source /etc/init.d/init-functions

board=$(cut -d" " -f1,2 < /etc/model)
test "${board}" == "Maxwell 3" && DAEMON_ARGS="--reason boot --model three -qws -nomouse"
test "${board}" == "Maxwell 2" && DAEMON_ARGS="--reason boot --model two -rendergrayscale -qws -nomouse"
test "${board}" == "Maxwell Basic" && DAEMON_ARGS="--reason boot --model basic -qws -nomouse"

NAME=maxwell-splashscreen
DAEMON=/usr/bin/splashscreen
WORKING_DIR=/var/run/
PIDFILE=${WORKING_DIR}/splashscreen.pid
USER=maxwell
GROUP=maxwell

source /etc/init.d/maxwell-init-functions
