#!/bin/sh
# Copyright 2018 Gigaset Communications GmbH

### BEGIN INIT INFO
# Provides:          maxwell_model
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Prints device model info
# Description:
### END INIT INFO

source /etc/init.d/init-functions

board=$(cut -d" " -f3,4 < /proc/device-tree/model)
model=$(tee /etc/model <<< "${board} PRO")
log_info ${model}
echo ${model}
