#!/bin/bash
# Copyright 2015-2018 Gigaset Communications GmbH

# Etherent interface name
interface=$1
# Ip adress
ip_address=$2

#lock file - enable flag
status_enable="/var/lock/ip-conflict-det-enable"

# Check if ip conflict detection feature is enabled
# Default: disabled
if [ -f $status_enable ]
then
    # Check if ip adress is available
    if ! arping -q -c 1 -w 3 -D -I $interface $ip_address ; then
        # Not available
        exit 255
    else
       # Available
       exit 0
    fi
else
    exit 0
fi

