<?php

define('MAXWELL4', 'Maxwell 4 PRO');
define('NVMHOST', 'tcp://localhost:5704');
define('NVMHOSTMESSAGE', 'tcp://localhost:5702');
define('IPCHOST', 'localhost');
define('WEBDIR', '/www');
define('TEXTPATH', './languages/Text_');
define('LASTACCESSDELAY', 130);
define('LAST_ACCESS_USER_DELAY',6);
define('MAXFILENAMELENGTH', 50);
define('MAXIMGFILENAMELENGTH', 10);
define('NTPSYNCPATH', '/var/volatile/ntpsync');
define('FRONTENDPATH', '/www/pages');
define('BACKENDPATH', '/www/pages');
define('WATCHDOGSTATSFILE', '/var/volatile/wd_stats.json');
define('DEVELOPERMODELOCKFILE', '/var/lock/develop.lck');
define('COUNTCALLHISTORYITEMS',90);
define('WEBDB','/tmp/webui.db');
//USER ROLES
define('USER_NO_SESSION', 0);
define('USER_REGULAR', 1);
define('USER_ADMIN', 2);
define('USER_REGULAR_TEXT', 'user');
define('USER_ADMIN_TEXT', 'admin');
//MQTT synchronisation
define('MQTT_MUTEX', '/var/volatile/webui-lock');
//property access flags
define('ACCESS_READONLY', 1);//READONLY = (1<<0), Indicates that record value can't be changed.
define('ACCESS_USER', 8);//equal to flag TO_BACKUP = (1 << 3), ///< Indicates that record shoud be dump during backup procedure.
//property service methods
define('METHOD_GET_VALUE', 'getVRequest');
define('METHOD_SET_VALUE', 'setVRequest');
define('METHOD_GET_VALUES_LIST', 'getVListRequest');
define('METHOD_SET_VALUES_LIST', 'setVListRequest');
define('METHOD_RESET_VALUES_LIST', 'resetVListRequest');
define('METHOD_BACKUP', 'makeBackupRequest');
define('METHOD_RESTORE', 'restoreRequest');
define('METHOD_GET_ALL', 'getWebUiDumpRequest');
define('METHOD_GET_PROVISIONNING_DUMP', 'getProvDumpRequest');
define('METHOD_GET_SYSTEM_DUMP', 'makeSysdumpRequest');
//SAVE & RESTORE
define('CUSTOMDIR', '/data');
define('RESTOREZIPARCH', '/www/userbackup.cfg');
define('SYSDUMPZIPARCH', '/www/sysdump');
define('IMAGEUSERPATH', '/data/images');
define('USER_DATA_PATH_PREFIX', '/config/appdata');
define('RINGTONESPATH', '/usr/share/audio/ringtones');
define('DEFAULTRINGTONE', '/usr/share/audio/ringtones/gigaset.wav');
define('INTERNALPATH', '/data/internal');
define('CONTACTSPATH', '');
define('NVMBACKUPFILEPATH', '/config');
define('NVMSYSDUMPFILEPATH', '/config');
define('NVMBACKUPFILE', 'user_backup.csv');
define('NVMSYSDUMPFILE', 'sysdump.csv');
define('WEBPASSFILE', 'webset.txt');
define('ZIPPASSWORD', 'B5JV4bZJeaExUr3y');
define('ZIPPASSWORDSYSDUMP', '7eP2f2hbXSgsjA5P');
define('TMPDIR', '/www/tmpdir');
define('IMAGEDIRECTORY', 'images');
define('RINGTONESDIRECTORY', 'audio');
define('INTERNALDIRECTORY', 'internal');
define('RESTOREDIRECTORY', '/www/www/tmpdir');
define('COREDUMPSZIPFILE', '/tmp/CoreDumps.zip');
define('RECENT_MAXWELL_LOG_FILE_PATH', '/var/log/maxwell.log');
define('RECENT_KERNEL_LOG_FILE_PATH','/var/log/kernel.log');
define('BACKUP_LOGS_DIR_PATH', '/config/log');
define('CRASHDIR', '/config/crash');
define('TRANSFER_TO_USB', 0);
define('TRANSFER_FROM_USB', 1);
//FIRMWAREUPDATE
define('FIRMWAREUPDATEFILENAME', 'GC_MAX_3_');
define('FIRMWAREUPDATEXMLFILENAME', 'update.xml');
define('FIRMWAREUPDATEEXTENSION', '.bin');
define('EXCEPTIONARRAY', serialize(array('SelectedCodecs'))); //For this field php must return Array;
define('EXCEPTIONARRAYOPTIONS', serialize(array('AvailableCodecs'))); //For this field php must return Array;
define('SOURCEFILE', '/home/root/test_file.dat');
define('DESTINATIONFILE', '/mnt/myusb/test_file.dat');
//RINGTONES
define('MAXALLOCATEDSIZE', 5242880);
define('MAXFILESCOUNT', 20);
define('AUDIOMIMETYPE', serialize(array('mp3', 'wav', 'ogg')));
//PCAPLOGIN
define('PCAPPATH', '/var/volatile/pcap/pcap.log');
define('SIPLOGPATH', '/var/volatile/pcap/sip.pcap');
define('SYSLOGPATH', '/var/log/maxwell.log');
//CERTIFICATES
define('PENDINGCERTIFICATESDIR', '/data/certs/pending');
define('ACCEPTEDCERTIFICATESDIR', '/data/certs/accepted');
define('REJECTEDCERTIFICATESDIR', '/data/certs/rejected');
define('INVALIDCERTIFICATESDIR', '/data/certs/invalid');
define('CERTIFICATESDIR', '/data/certs/_storage');
define('CERTIFICATEMIMETYPE', serialize(array('cer', 'crt', 'crl', 'pem', 'der', 'key')));
define("CERTPASSFILE","/data/certs/client/user_pass.txt");
define("CERTCLIENT","/data/certs/client");
define('TMPCERT', 'tmp_cert.pem');
define('TMPKEY', 'tmp_key.pem');
define('TMPCERTPATH', '/tmp/tmpcert');
define('CLIENTCERT', 'user_cert.pem');
define('CLIENTKEY', 'user_key.pem');
//UPLOAD XML
define('UPLOADXML', '/www');
define('XMLMIMETYPE', serialize(array('xml')));
//IMAGES
define('USE_WEB_IMAGES_PATH',FALSE);
define('IMAGESMIMETYPE', serialize(array('jpeg','jpg')));
define('WEBUI_IMG_PATH', '/www/pages/img/pictures');
define('MAXIMGSIZE', 256000);
//SCREENSAPTURES
define('USE_SCREEN_CAPTURE_PATH',TRUE);
define('MAX_SCREEN_CAPTURE_COUNT', 10);
define('MAX_SCREEN_CAPTURE_SIZE', 256000);
define('SCREEN_CAPTURE_TYPE', serialize(array('png')));
define('WEBUI_SCREEN_CAPTURE_PATH', '/var/tmp/phoneui/screen');
define('WEBUI_SCREEN_CAPTURE_SYMLINK', 'img/screencaptures');
define('URL_QUERY_PARAM_ON_DOWNLOAD','screenCapture');
//RESULT CODE
define('ERRFILESIZE', '#filesize#');
define('ERRFILETYPE', '#mimetype#');
define('FILEERR', '#fileerr#');
define('FILEOK', '#fileok#');
define('FILECOUNT', '#filecount#');
//SYSLOG
define('PRIORITY', serialize(array(1 => LOG_ERR, 2 => LOG_WARNING, 4 => LOG_ALERT, 8 => LOG_NOTICE, 256 => LOG_ERR, 512 => LOG_WARNING, 1024 => LOG_NOTICE, 2048 => LOG_ALERT, 4096 => LOG_CRIT)));
//SIP SECURITY
define('SIPSECURITYCERTIFICATEDIR', '/data/sipsecurity');
define('SIPSECURITYCERTIFICATENAME', 'sip_certificate.pem');
define('SIPSECURITYPRIVATEKEYNAME', 'sip_private_key.txt');
define('SIPSECURITYCERTIFICATEMIMETYPE', serialize(array('pem')));
//return codes
define('STATUS_OK', 0);
define('STATUS_ERROR', 1);
define('STATUS_FORBIDDEN', 2);
//SERVER SENT EVENTS
define('PROP_SERVICE_PROP_CLIENT_TOPIC','prop-service/prop-client');
define('PARAM_CHANGE_COMMAND', 'paramChanged');
define('PROV_REQUEST_STAT','request');
define('PROV_TIMEOUT',15);
define('PROV_KEY','State.Provisioning');
define('NO_PROV_STAT','noProvisioning');
define('PROV_STAT_FILE', '/www/provStat');
//PHONE SYSTEMS
define('STANDARD_PHONE_SYSTEM', '0');
define('HYBIRD_120_GE_PHONE_SYSTEM', '3');
define('BINTEC_ELMEG_PBX', '7');
define('BROADSOFT_PHONE_SYSTEM','5');
define('CENTILE_PHONE_SYSTEM', '12');
//USB
define('PHONEBOOK_INSTALLER', '/usr/bin/phonebook_installer.sh');
//DELETE ACCOUNTS
define("SIP_ACCOUNT_PREFIX", "SIP.Account.");
define("CALL_DIVERT_PREFIX", "Telephony.CallDivert.");
define("DIALLING_PLANS_PREFIX", "Telephony.DiallingPlans.List.");

define("FUNCTION_KEYS_PREFIX", 'FunctionKeys.');
define("SOFT_KEYS_PREFIX", 'PhoneUI.Keys.SoftKeys.');
//SSE
define("PARAM_UPDATE_TYPE", "param-update");
define("STATE_UPDATE_TYPE", "state-update");

function isMaxwell4(){

    return (trim(file_get_contents("/etc/model")) == MAXWELL4);
}

function getSIPAccountsCounts(){

   return (int)exec('phoneconfigcli get voip.SipAccountsCount');
}
