<?php

/**
 * Property Service - API Helper
 * Author: Marcin Rabczyński
 * Date: 01.09.16
 */
class PropertyService
{

    public static function getMethods()
    {
        return new Methods;
    }

    public static function getFields()
    {
        return new Fields;
    }
}

class Methods
{
    public $getColsL = METHOD_GET_VALUES_LIST;
    public $setV = METHOD_SET_VALUE;
    public $setVList  = METHOD_SET_VALUES_LIST;
    public $getV = METHOD_GET_VALUE;
    public $resetV = METHOD_RESET_VALUES_LIST;
    public $restore = METHOD_RESTORE;
    public $makeBackup = METHOD_BACKUP;
    public $getWebUiDump = METHOD_GET_ALL;
    public $getProvDump = METHOD_GET_PROVISIONNING_DUMP;
}

class Fields
{
    public $all = 'key,value,webui,flags,regexp,enum,range_min,range_max';
    public $defaultVal = 'webui,defaultvalues';
    public $flags = 'flags,key';
    public $webui = 'webui';
}
