<?php

class firmwareupdate {

    private $nvm;
    private $firmuptdserver;
    private $filename;
    private $down;
    private $firmwareupdatepath;
    private $filemanager;

    public function firmwareupdate() {
        $this->nvm = new settingscontroller();
        $this->firmuptdserver = $this->nvm->settingsGetOneParam('FirmwareDataServer');
        $this->firmwareupdatepath = $this->nvm->settingsGetOneParam('FirmwareDownloadPath');
        $this->down = new downloadfile();
        $this->filemanager = new filemanager();
    }

    /**
     * Method upload file from PC
     *
     * @param array $_file
     * @return boolean
     */
    public function SaveFileFromPC($_file) {
        try {
            $filename = null;
            if (file_exists($this->firmwareupdatepath . DIRECTORY_SEPARATOR)) {
                $this->filemanager->clearDir($this->firmwareupdatepath);
                if ($this->filemanager->uploadFirmwareUpdate($_file, $this->firmwareupdatepath, $filename) == true) {
                    $this->nvm->settingsSetState(array('FirmwareUpdate.Filename' => $filename,'FirmwareUpdate.Verify' => 'request'));
                    return true;
                } else {
                    return false;
                }
            } else {
                mkdir($this->firmwareupdatepath . DIRECTORY_SEPARATOR);
            }
        } catch (Exception $ex) {
            $exc = new errorexceptionhandler();
            $exc->getException($ex);
        }
    }
}
