<?php

/**
 * Description of viewcontroller
 *
 * @author hampel_ma
 */
class viewcontroller implements Icreator
{

    public function creator($_class)
    {
        if (class_exists($_class))
            return new $_class;
        else
            return false;
    }

    public function isViewJsonObject($view)
    {
         return ($view instanceof viewjson);
    }

    public function isViewXMLObject($view)
    {
        return ($view instanceof viewxml);
    }

    public function nvmResponseToString($_nvmresp)
    {
        return $_nvmresp;
    }

    public function userParametersAccess($_resptab = array(), $_user)
    {
        $tabsql = $this->getAllParamsForUser($_user,'accessLevelRead');
        return $this->userParamsTab($_resptab, $tabsql);
    }

    public function getAllParamsForUser($_user, $_column)
    {
        try
        {
            $sql = new SQLite3(WEBDB);
            $sql->busyTimeout(10000);

            $sqlquery = 'SELECT parameterName FROM webui_paramenters WHERE ' . $_column . ' <=' . $_user;
            $ret = $sql->query($sqlquery);

            $resp = array();
            while ($res = $ret->fetchArray($mode = SQLITE3_ASSOC))
            {
                $resp[$res['parameterName']] = $res['parameterName'];
            }


            return $resp;
        }
        catch (Exception $ex)
        {
            $exc = new errorexceptionhandler();
            $exc->getException($ex);
        }
    }

    public function userParametersAccessSave($_resptab = array())
    {
        try
        {
            $sess = new sessionmanager();
            $tabsql = $this->getAllParamsForUser($sess->getCurrentLoginUser(),'accessLevelWrite');


            return $this->userParamsTabSave($_resptab, $tabsql);
        }
        catch (Exception $ex)
        {
            $exc = new errorexceptionhandler();
            $exc->getException($ex);
        }
    }

    private function userParamsTabSave($_tabnvm, $_tabsql)
    {
        try
        {
            $diff = array_diff_key($_tabnvm, $_tabsql);
            foreach ($diff as $key => $val)
            {
                if ($key != 'Timestamp')
                    unset($_tabnvm[$key]);
            }
            return $_tabnvm;
        }
        catch (Exception $ex)
        {
            $exc = new errorexceptionhandler();
            $exc->getException($ex);
        }
    }

    private function userParamsTab($_tabnvm, $_tabsql)
    {
        try
        {
            $diff = array_diff_key($_tabnvm, $_tabsql);
            foreach ($diff as $key => $val)
            {
                unset($_tabnvm[$key]);
            }
            $view = new viewjson();
            if ($this->isViewJsonObject($view))
            {
                $_tabnvm['Timestamp'] = $view->viewGetTimestamp();
            }
            return $_tabnvm;
        }
        catch (Exception $ex)
        {
            $exc = new errorexceptionhandler();
            $exc->getException($ex);
        }
    }

}
