<?php

class viewxml implements InvmView
{
    public function viewGetRequestAllParams($_response)
    {
        $doc = new DOMDocument("1.0","UTF-8");
        $xslt = $doc->createProcessingInstruction('xml-stylesheet', 'type="text/xsl" href="/base"');
        $doc->appendChild($xslt);

        $root = $doc->createElement("settings");
        $root->setAttribute("version", "1.0");
        $root->setAttribute("productID", "mx3b");
        $root = $doc->appendChild($root);

        $objectsArray = array();

        foreach ($_response as $object)
        {
            $objectAsArray = get_object_vars($object);
            $key = array_keys($objectAsArray)[0];
            $value = $objectAsArray[$key];
            $objectsArray[$key] = $value;
        }

        ksort($objectsArray);

        foreach ($objectsArray as $key=>$value)
        {
            $node = $doc->createElement("param");
            $node->setAttribute("name", $key);
            $node->setAttribute("value", $value);
            $root->appendChild($node);
        }

        return $doc->saveXML();
    }

    //not implemented
    public function viewForOneObject($_response)
    {
        return false;
    }

    //not implemented
    public function viewSaveMultiParams($_resp)
    {
        return false;
    }

    //not implemented
    public function viewSaveOneParam($_resp)
    {
        false;
    }
}